Bug 190506 - [patch] update devel/luafilesystem to 1.6.2, make it work with lua-5.2
Summary: [patch] update devel/luafilesystem to 1.6.2, make it work with lua-5.2
Status: Closed Feedback Timeout
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-02 13:31 UTC by Vitaly Magerya
Modified: 2014-07-20 15:46 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vitaly Magerya 2014-06-02 13:31:45 UTC
- Update devel/luafilesystem from 1.5.0 to 1.6.2
- Make it support both lang/lua51 and lang/lua52

Note that previously this port downloaded it's tarball from github by a tag; unfortunately the developers failed to add a 1.6.2 tag to the repo, so the port will now fetch by commit id. Commit 5e55437, "Bump version to 1.6.2" [1] was chosen for this role.

The redports logs are at [2].

[1] https://github.com/keplerproject/luafilesystem/commit/5e55437
[2] https://redports.org/buildarchive/20140602131300-21290/

Fix:
Patch attached with submission follows:

diff -ruN luafilesystem.orig/Makefile luafilesystem/Makefile
--- luafilesystem.orig/Makefile	2014-06-02 16:11:24.000000000 +0300
+++ luafilesystem/Makefile	2014-06-02 16:11:13.000000000 +0300
@@ -2,7 +2,7 @@
 # $FreeBSD: head/devel/luafilesystem/Makefile 355470 2014-05-27 06:45:02Z bapt $
 
 PORTNAME=	luafilesystem
-PORTVERSION=	1.5.0
+PORTVERSION=	1.6.2
 CATEGORIES=	devel
 MASTER_SITES=	GH
 PKGNAMEPREFIX=	${LUA_PKGNAMEPREFIX}
@@ -12,13 +12,13 @@
 
 LICENSE=	MIT
 
-USES=		lua:51
+USES=		lua
 
 USE_GITHUB=	yes
 GH_ACCOUNT=	keplerproject
 GH_PROGECT=	${PORTNAME}
-GH_TAGNAME=	v${PORTVERSION}
-GH_COMMIT=	8ff2013
+GH_TAGNAME=	${GH_COMMIT}
+GH_COMMIT=	5e55437
 
 ALL_TARGET=	lib
 
diff -ruN luafilesystem.orig/distinfo luafilesystem/distinfo
--- luafilesystem.orig/distinfo	2014-06-02 16:11:24.000000000 +0300
+++ luafilesystem/distinfo	2014-06-02 15:48:41.000000000 +0300
@@ -1,2 +1,2 @@
-SHA256 (luafilesystem-1.5.0.tar.gz) = d748d796c513a3392b6e66e7ecd8477a9d3d364ddae8456d9b7502bb7c0abce8
-SIZE (luafilesystem-1.5.0.tar.gz) = 26672
+SHA256 (luafilesystem-1.6.2.tar.gz) = 7be6e4b45de2856f861886ead933ad9b29fbaf786fd5a829bdab972b10cad4c1
+SIZE (luafilesystem-1.6.2.tar.gz) = 27835
Comment 1 Antoine Brodin freebsd_committer 2014-06-02 19:56:33 UTC
Hi,
Could you adapt net-im/prosody and www/luakit to work with lua 5.2 too,  as they both depend on luafilesystem?
Comment 2 John Marino freebsd_committer 2014-06-16 07:38:41 UTC
In addition, could you also resubmit the patch as an attachment?  Right now it's embedded as a comment.

Also, there's been no response to the last question in two weeks.  Without a response, the PR will likely be closed with no action.